﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private static async Task Main()
    {
        ChatBotClient chatBotClient = new("http://localhost:8000/chat");

        RequestMessage requestMessage = new();

        requestMessage.MessageList = new List<Dictionary<string, string>>
        {
            new Dictionary<string, string> { { "role", "system" }, { "content", "당신은 python 개발자입니다." } },
            new Dictionary<string, string> { { "role", "user"   }, { "content", "python을 사용해 별을 화면 중앙에 표시하는 프로그램을 만들어주세요." } }
        };

        Console.WriteLine("Sending request to the chatbot...");

        await foreach(AIMessageChunk aiMessageChunk in chatBotClient.RequestStreamingMessageAsyncEnumerableAsync(requestMessage))
        {
            Console.Write(aiMessageChunk.Content);
        }
    }

    #endregion
}